#!/bin/sh
LOGGER="/usr/bin/logger"
PRIVATE_LOCATION="/var/packages/ProxyServer/target"
install_wpad()
{
        PORT=`cat ${PRIVATE_LOCATION}/squid/etc/setting_syno.json  | grep http_port | cut -d":" -f2 | tr -d ' ",'`
        IP_ADDR_PORT="$1:$PORT"
        cp ${PRIVATE_LOCATION}/etc/WPAD/wpad.dat_template ${PRIVATE_LOCATION}/etc/WPAD/wpad.dat
        sed -i "s/syno_proxy_server_ip_port/$IP_ADDR_PORT/g" ${PRIVATE_LOCATION}/etc/WPAD/wpad.dat
        cp ${PRIVATE_LOCATION}/etc/WPAD/wpad.dat /volume1/web/wpad.dat
}
install_dhcp_related_files()
{
        cp ${PRIVATE_LOCATION}/etc/WPAD/dhcpd-proxyserver-options.conf_template ${PRIVATE_LOCATION}/etc/WPAD/dhcpd-proxyserver-options.conf
        sed -i "s/syno_proxy_server_ip_port/$1/g" ${PRIVATE_LOCATION}/etc/WPAD/dhcpd-proxyserver-options.conf
        sed -i "s/syno_proxy_server_ip_port/$1/g" ${PRIVATE_LOCATION}/etc/WPAD/dhcpd-proxyserver-options.info
        cp ${PRIVATE_LOCATION}/etc/WPAD/dhcpd-proxyserver-options.conf /etc/dhcpd/
        cp ${PRIVATE_LOCATION}/etc/WPAD/dhcpd-proxyserver-options.info /etc/dhcpd/
}
uninstall_wpad()
{
        rm -f /volume1/web/wpad.dat
}
uninstall_dhcp_related_files()
{
        rm -f /etc/dhcpd/dhcpd-proxyserver-options.*
}

case $1 in
        --install)
        shift
        install_wpad $@
        install_dhcp_related_files $@
        ;;
        --uninstall)
        uninstall_wpad
        uninstall_dhcp_related_files
        ;;
esac
/etc/rc.network nat-restart-dhcp
